{% extends "base.html" %}

{% block conteudo %}

    {% if certificados_list %}
        <h1>Certificados com monitoramento ativo</h3>
        <div class="table-responsive">
            <table class="table table-striped table-sm" id="tabela_ordenavel">
              <thead>
                <tr>
                  <th>Site</th>
                  <th>Situação do certificado</th>
                  <th>Última Checagem</th>
                  <th>Ações</th>
                </tr>
              </thead>
              <tbody>
              {% for certificado in certificados_list %}
               <tr>
                  <td>{{ certificado.website}}</td>
                  <td>
                    {% if certificado.ultima_checagem %}
                      {% if certificado.expirado %}
                        Certificado <span style="color:red; font-weight: bold;">expirado</span> em:
                      {% else %}
                        Certificado <span style="color:blue;">válido</span> até:
                      {% endif %}
                      {{ certificado.ultima_checagem.data_validade|date:"d/m/Y" }}
                    {% else %}
                      (sem checagens)
                    {% endif %}
                    </td>
                  <td>
                    {% if certificado.ultima_checagem %}
                      {{ certificado.ultima_checagem}}
                    {% else %}
                      --
                    {% endif %}
                  </td>
                  <td><a href="/certificados/{{ certificado.id }}/" style="color: blue;">Ver detalhes</a></td>
                </tr>
        {% endfor %}
                </tbody>
            </table>
        </div>

    {% else %}
        <h3>Nenhum certificado cadastrado</h3>
    {% endif %}

{% endblock conteudo %}
